org.apache.storm.hbase.security

## Class HBaseSecurityUtil

- java.lang.Object
- - org.apache.storm.hbase.security.HBaseSecurityUtil

-     public class HBaseSecurityUtil
      extends Object

  This class provides util methods for storm-hbase connector communicating with secured HBase.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HBASE_CREDENTIALS`
    `static String` | `HBASE_CREDENTIALS_CONFIG_KEYS`
    `static String` | `HBASE_KEYTAB_FILE_KEY`
    `static String` | `HBASE_PRINCIPAL_KEY`
    `static String` | `STORM_KEYTAB_FILE_KEY`
    `static String` | `STORM_USER_NAME_KEY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.hadoop.hbase.security.UserProvider` | `login(Map<String,Object> conf, org.apache.hadoop.conf.Configuration hbaseConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STORM_KEYTAB_FILE_KEY

          public static final String STORM_KEYTAB_FILE_KEY

      See Also:
        Constant Field Values

    - #### STORM_USER_NAME_KEY

          public static final String STORM_USER_NAME_KEY

      See Also:
        Constant Field Values

    - #### HBASE_CREDENTIALS_CONFIG_KEYS

          public static final String HBASE_CREDENTIALS_CONFIG_KEYS

      See Also:
        Constant Field Values

    - #### HBASE_CREDENTIALS

          public static final String HBASE_CREDENTIALS

      See Also:
        Constant Field Values

    - #### HBASE_KEYTAB_FILE_KEY

          public static final String HBASE_KEYTAB_FILE_KEY

      See Also:
        Constant Field Values

    - #### HBASE_PRINCIPAL_KEY

          public static final String HBASE_PRINCIPAL_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### login

          public static org.apache.hadoop.hbase.security.UserProvider login(Map<String,Object> conf,
                                                                            org.apache.hadoop.conf.Configuration hbaseConfig)
                                                                     throws IOException

      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.